package routers

import (
	"FollowUp_Notice/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	illness := beego.NewNamespace("/Illness",
		beego.NSRouter("/List", &controllers.IllnessController{}, "*:Illness_List"), // 疾病列表
		beego.NSRouter("/Add", &controllers.IllnessController{}, "*:Illness_Add"),   // 获取疾病
		beego.NSRouter("/Edit", &controllers.IllnessController{}, "*:Illness_Edit"), // 添加疾病
		beego.NSRouter("/Del", &controllers.IllnessController{}, "*:Illness_Del"),   // 删除疾病
	)

	beego.AddNamespace(illness)
}
